Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.metaabm
Enum SAttributeType

    java.lang.Object
      java.lang.Enum<SAttributeType>
          org.metaabm.SAttributeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SAttributeType>, org.eclipse.emf.common.util.Enumerator

    public enum SAttributeType

extends java.lang.Enum<SAttributeType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration ' SAttribute Type', and utility methods for working with them.

Author:
  Miles Parker
See Also:
  `MetaABMPackage.getSAttributeType()`

Enum Constant Summary
`BOOLEAN_LITERAL` The 'Boolean' literal object.
`INTEGER_LITERAL` The 'Integer' literal object.
`NUMERIC_LITERAL` The 'Numeric' literal object.
`REAL_LITERAL` The 'Real' literal object.
`SYMBOL_LITERAL` The 'Symbol' literal object.
`UNDEFINED_LITERAL` The 'Undefined' literal object.

Field Summary
`static int` | `BOOLEAN` The 'Boolean' literal value.
`static org.eclipse.emf.common.util.EList<SAttributeType>` | `BOOLEAN_ACCEPTS`
`static org.eclipse.emf.common.util.EList<SAttributeType>` | `EMPTY_TYPES`
`static org.eclipse.emf.common.util.EList<SAttributeType>` | `INT_ACCEPTS`
`static int` | `INTEGER` The 'Integer' literal value.
`static int` | `NUMERIC` The 'Numeric' literal value.
`static org.eclipse.emf.common.util.EList<SAttributeType>` | `NUMERIC_ACCEPTS`
`static int` | `REAL` The 'Real' literal value.
`static org.eclipse.emf.common.util.EList<SAttributeType>` | `REAL_ACCEPTS`
`static int` | `SYMBOL` The 'Symbol' literal value.
`static org.eclipse.emf.common.util.EList<SAttributeType>` | `SYMBOL_ACCEPTS`
`static int` | `UNDEFINED` The 'Undefined' literal value.
`static org.eclipse.emf.common.util.EList<SAttributeType>` | `UNDEFINED_ACCEPTS`
`static java.util.List<SAttributeType>` | `VALUES` A public read-only list of all the 'SAttribute Type' enumerators.

Method Summary
`static SAttributeType` | `get(int value)` Returns the 'SAttribute Type' literal with the specified integer value.
`static SAttributeType` | `get(java.lang.String literal)` Returns the 'SAttribute Type' literal with the specified literal value.
`static org.eclipse.emf.common.util.EList<SAttributeType>` | `getAvailableTypes(SAttributeType sourceType)`
`static SAttributeType` | `getByName(java.lang.String name)` Returns the 'SAttribute Type' literal with the specified name.
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static SAttributeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SAttributeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BOOLEAN_LITERAL

    public static final SAttributeType BOOLEAN_LITERAL

  The 'Boolean' literal object.

  See Also:
    `BOOLEAN`

### INTEGER_LITERAL

    public static final SAttributeType INTEGER_LITERAL

  The 'Integer' literal object.

  See Also:
    `INTEGER`

### REAL_LITERAL

    public static final SAttributeType REAL_LITERAL

  The 'Real' literal object.

  See Also:
    `REAL`

### SYMBOL_LITERAL

    public static final SAttributeType SYMBOL_LITERAL

  The 'Symbol' literal object.

  See Also:
    `SYMBOL`

### UNDEFINED_LITERAL

    public static final SAttributeType UNDEFINED_LITERAL

  The 'Undefined' literal object.

  See Also:
    `UNDEFINED`

### NUMERIC_LITERAL

    public static final SAttributeType NUMERIC_LITERAL

  The 'Numeric' literal object.

  See Also:
    `NUMERIC`

Field Detail

### BOOLEAN

    public static final int BOOLEAN

  The 'Boolean' literal value.

  If the meaning of 'Boolean' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BOOLEAN_LITERAL`, Constant Field Values

### INTEGER

    public static final int INTEGER

  The 'Integer' literal value.

  If the meaning of 'Integer' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INTEGER_LITERAL`, Constant Field Values

### REAL

    public static final int REAL

  The 'Real' literal value.

  If the meaning of 'Real' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REAL_LITERAL`, Constant Field Values

### SYMBOL

    public static final int SYMBOL

  The 'Symbol' literal value.

  If the meaning of 'Symbol' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SYMBOL_LITERAL`, Constant Field Values

### UNDEFINED

    public static final int UNDEFINED

  The 'Undefined' literal value.

  If the meaning of 'Undefined' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UNDEFINED_LITERAL`, Constant Field Values

### NUMERIC

    public static final int NUMERIC

  The 'Numeric' literal value.

  If the meaning of 'Numeric' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NUMERIC_LITERAL`, Constant Field Values

### EMPTY_TYPES

    public static final org.eclipse.emf.common.util.EList<SAttributeType> EMPTY_TYPES

### VALUES

    public static final java.util.List<SAttributeType> VALUES

  A public read-only list of all the 'SAttribute Type' enumerators.

### BOOLEAN_ACCEPTS

    public static final org.eclipse.emf.common.util.EList<SAttributeType> BOOLEAN_ACCEPTS

### SYMBOL_ACCEPTS

    public static final org.eclipse.emf.common.util.EList<SAttributeType> SYMBOL_ACCEPTS

### REAL_ACCEPTS

    public static final org.eclipse.emf.common.util.EList<SAttributeType> REAL_ACCEPTS

### INT_ACCEPTS

    public static final org.eclipse.emf.common.util.EList<SAttributeType> INT_ACCEPTS

### NUMERIC_ACCEPTS

    public static final org.eclipse.emf.common.util.EList<SAttributeType> NUMERIC_ACCEPTS

### UNDEFINED_ACCEPTS

    public static final org.eclipse.emf.common.util.EList<SAttributeType> UNDEFINED_ACCEPTS

Method Detail

### values

    public static SAttributeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SAttributeType c : SAttributeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SAttributeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getAvailableTypes

    public static org.eclipse.emf.common.util.EList<SAttributeType> getAvailableTypes(SAttributeType sourceType)

### get

    public static SAttributeType get(java.lang.String literal)

  Returns the 'SAttribute Type' literal with the specified literal value.

### getByName

    public static SAttributeType getByName(java.lang.String name)

  Returns the 'SAttribute Type' literal with the specified name.

### get

    public static SAttributeType get(int value)

  Returns the 'SAttribute Type' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<SAttributeType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD